IRuntime (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.core.runtime
Interface IRuntime

All Superinterfaces:
  IExecutionDataAccessorGenerator

All Known Implementing Classes:
  AbstractRuntime, LoggerRuntime, ModifiedSystemClassRuntime, SystemPropertiesRuntime, URLStreamHandlerRuntime

    public interface IRuntime

extends IExecutionDataAccessorGenerator

This interface represents a particular mechanism to collect execution information in the target VM at runtime.

Method Summary
`void` | `disconnect(Class<?> type)` Clears the execution data buffered in the given instrumented type.
`void` | `shutdown()` Allows the coverage runtime to cleanup internals.
`void` | `startup(RuntimeData data)` Starts the coverage runtime.

Methods inherited from interface org.jacoco.core.runtime.IExecutionDataAccessorGenerator
`generateDataAccessor`

Method Detail

### startup

    void startup(RuntimeData data)
                 throws Exception

  Starts the coverage runtime. This method MUST be called before any class instrumented for this runtime is loaded.

  Parameters:
    `data` - the execution data for this runtime
  Throws:
    `Exception` - any internal problem during startup

### shutdown

    void shutdown()

  Allows the coverage runtime to cleanup internals. This class should be called when classes instrumented for this runtime are not used any more.

### disconnect

    void disconnect(Class<?> type)
                    throws Exception

  Clears the execution data buffered in the given instrumented type. It forces the class to re-connect to the runtime the next time it is executed. This method is used by the agent and is required when a class has been redefined. Note that a call to this method does not actually reset the data that is already stored in the runtime.

  Parameters:
    `type` - class to clear
  Throws:
    `Exception` - if clearing the data is not possible

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.